Subject: [PATCH] Add RGB555X and RGB565X formats to pxa-camera

From: [email-masked] (Jamie Lokier)
Date: Sat, 5 Sep 2009 16:22:51 +0100

Guennadi Liakhovetski wrote:
 Now RGB555 looks like (from wikipedia)
> 
> 15  14  13  12  11  10  09  08  07  06  05  04  03  02  01  00
> R4  R3  R2  R1  R0  G4  G3  G2  G1  G1  B4  B3  B2  B1  B1  --
> 
> (Actually, I thought bit 15 was unused, but it doesn't matter for this 
> discussion.)

You are right: sometimes RGB555 means bit 15 is unused.  Wikipedia
isn't always right.

-- Jamie